# Uses of Interface
com.sun.source.doctree.SnippetTree

Packages that use SnippetTree
Package
Description
com.sun.source.doctree
Provides interfaces to represent documentation comments as abstract syntax trees (AST).
com.sun.source.util
Provides utilities for operations on abstract syntax trees (AST).

- ## Uses of SnippetTree in com.sun.source.doctree

  Methods in com.sun.source.doctree with parameters of type SnippetTree
  Modifier and Type
  Method
  Description
  `default R`
  DocTreeVisitor.`visitSnippet(SnippetTree node, P p)`
  Visits a `SnippetTree` node.

- ## Uses of SnippetTree in com.sun.source.util

  Methods in com.sun.source.util that return SnippetTree
  Modifier and Type
  Method
  Description
  `SnippetTree`
  DocTreeFactory.`newSnippetTree(List<? extends DocTree> attributes, TextTree text)`
  Creates a new `SnippetTree` object, to represent a `{@snippet }` tag.
  Methods in com.sun.source.util with parameters of type SnippetTree
  Modifier and Type
  Method
  Description
  `R`
  DocTreeScanner.`visitSnippet(SnippetTree node, P p)`
  Visits a `SnippetTree` node.
  `R`
  SimpleDocTreeVisitor.`visitSnippet(SnippetTree node, P p)`
  Visits a `SnippetTree` node.